### Name: formula.terms-methods
### Title: Manipulate the component parts of formulas, expressions, calls,
###   name/symbols and many values objects of these such as list and
###   vectors.
### Aliases: lhs-methods lhs,call-method lhs,expression-method
###   lhs,formula-method lhs,list-method lhs lhs.vars lhs.vars,call-method
###   lhs.vars,expression-method lhs.vars,formula-method lhs<--methods
###   lhs<-,call-method lhs<-,formula-method lhs<-,expression-method
###   lhs<-,list-method lhs<- rhs-methods rhs,call-method
###   rhs,expression-method rhs,formula-method rhs,list-method rhs rhs.vars
###   rhs.vars,call-method rhs.vars,expression-method
###   rhs.vars,formula-method rhs<--methods rhs<-,call-method
###   rhs<-,formula-method rhs<-,expression-method rhs<-,list-method rhs<-
###   op-methods op,call-method op,expression-method op,formula-method
###   op,list-method op op<--methods op<-,call-method op<-,formula-method
###   op<-,expression-method op<-,list-method op<- op.type-methods
###   op.type,call-method op.type,expression-method op.type,formula-method
###   op.type,list-method op.type op.types
### Keywords: methods symbolmath

### ** Examples


  # FORMULA
  f <- A + B ~ C + D
  lhs(f)
  lhs(f) <- quote( E / F )

  rhs(f)
  rhs(f) <- quote( G + H ) 
  op(f)
  op.type(f)

  # EXPRESSION
  e <- expression( A + B == C + D )
  lhs(e)
  rhs(e)
  op(e)
  op.type(e)

  # CALL
  c <- quote( A + B > C + D )
  lhs(c)
  lhs(c) <- quote(E)
  rhs(c)

  op(c)
  op.type(c)




